- Qt 6.10
- Qt Widgets
- C++ Classes
- QTimeEdit
- Qt 6.10.2 Reference Documentation

# QTimeEdit Class

The QTimeEdit class provides a widget for editing times based on the QDateTimeEdit widget. More...

Header: | `#include <QTimeEdit>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Widgets)` `target_link_libraries(mytarget PRIVATE Qt6::Widgets)`
qmake: | `QT += widgets`
Inherits: | QDateTimeEdit

- List of all members, including inherited members

## Public Functions

| QTimeEdit(QWidget *parent = nullptr)
| QTimeEdit(QTime time, QWidget *parent = nullptr)
virtual | ~QTimeEdit()

## Detailed Description

Many of the properties and functions provided by QTimeEdit are implemented in QDateTimeEdit. These are the relevant properties of this class:

- time holds the time displayed by the widget.
- minimumTime defines the minimum (earliest) time that can be set by the user.
- maximumTime defines the maximum (latest) time that can be set by the user.
- displayFormat contains a string that is used to format the time displayed in the widget.

See also QDateEdit and QDateTimeEdit.

## Member Function Documentation

### `[explicit]` QTimeEdit::QTimeEdit(QWidget *parent = nullptr)

Constructs an empty time editor with a parent.

### `[explicit]` QTimeEdit::QTimeEdit(QTime time, QWidget *parent = nullptr)

Constructs an empty time editor with a parent. The time is set to time.

### `[virtual noexcept]` QTimeEdit::~QTimeEdit()

Destructor.